[lfs-book] r9757 - in trunk/BOOK: . bootscripts/lfs/sbin chapter01

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Wed Feb 29 14:22:57 PST 2012


Author: bdubbs
Date: 2012-02-29 15:22:52 -0700 (Wed, 29 Feb 2012)
New Revision: 9757

Modified:
   trunk/BOOK/bootscripts/lfs/sbin/ifup
   trunk/BOOK/chapter01/changelog.xml
   trunk/BOOK/general.ent
   trunk/BOOK/packages.ent
Log:
Minor changes to ifup boot script.

Modified: trunk/BOOK/bootscripts/lfs/sbin/ifup
===================================================================
--- trunk/BOOK/bootscripts/lfs/sbin/ifup	2012-02-25 16:21:02 UTC (rev 9756)
+++ trunk/BOOK/bootscripts/lfs/sbin/ifup	2012-02-29 22:22:52 UTC (rev 9757)
@@ -58,27 +58,27 @@
 log_info_msg "Bringing up the ${1} interface... "
 
 if [ ! -r "${file}" ]; then
-   log_warning_msg "\n${file} is missing or cannot be accessed." 
+   log_failure_msg2 "${file} is missing or cannot be accessed." 
    exit 1
 fi
 
 . $file
 
 if [ "$IFACE" = "" ]; then
-   log_failure_msg "\n${file} does not define an interface [IFACE]."
+   log_failure_msg2 "${file} does not define an interface [IFACE]."
    exit 1
 fi
 
 # Do not process this service if started by boot, and ONBOOT
 # is not set to yes
 if [ "${IN_BOOT}" = "1" -a "${ONBOOT}" != "yes" ]; then
-   log_info_msg2 "skipped\n"
+   log_info_msg2 "skipped"
    exit 0
 fi
 
 for S in ${SERVICE}; do
   if [ ! -x "/lib/services/${S}" ]; then
-    MSG="\nUnable to process ${file}.  Either " 
+    MSG="\n     Unable to process ${file}.  Either " 
     MSG="${MSG}the SERVICE '${S} was not present "
     MSG="${MSG}or cannot be executed."
     log_failure_msg "$MSG"
@@ -102,11 +102,20 @@
       fi
 
    else
-      log_warning_msg "\nInterface ${IFACE} doesn't exist."
-      exit 0
+      log_failure_msg2 "Interface ${IFACE} doesn't exist."
+      exit 1
    fi
 fi
 
+# Set MTU if requested. Check if MTU has a "good" value.
+if test -n "${MTU}"; then
+   if [[ ${MTU} =~ ^[0-9]+$ ]] && [[ $MTU -ge 68 ]] ; then
+      ip link set dev ${IFACE} mtu $MTU
+   else
+      log_info_msg2 "Invalid MTU $MTU"
+   fi
+fi 
+
 for S in ${SERVICE}; do 
   IFCONFIG=${file} /lib/services/${S} ${IFACE} up
 done

Modified: trunk/BOOK/chapter01/changelog.xml
===================================================================
--- trunk/BOOK/chapter01/changelog.xml	2012-02-25 16:21:02 UTC (rev 9756)
+++ trunk/BOOK/chapter01/changelog.xml	2012-02-29 22:22:52 UTC (rev 9757)
@@ -41,6 +41,15 @@
       <para>2012-02-24</para>
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Minor changes to ifup boot script.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2012-02-24</para>
+      <itemizedlist>
+        <listitem>
           <para>[bdubbs] - Add a patch for glibc that fixes a problem
           (segfault) for dlopen() in some cases.</para>
         </listitem>

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2012-02-25 16:21:02 UTC (rev 9756)
+++ trunk/BOOK/general.ent	2012-02-29 22:22:52 UTC (rev 9757)
@@ -1,5 +1,5 @@
-<!ENTITY version "SVN-20120224">
-<!ENTITY releasedate "Feb 24, 2012">
+<!ENTITY version "SVN-20120229">
+<!ENTITY releasedate "Feb 29, 2012">
 <!ENTITY copyrightdate "1999-2012"><!-- jhalfs needs a literal dash, not – -->
 <!ENTITY milestone "7.1">
 <!ENTITY generic-version "development"> <!-- Use "development", "testing", or "x.y[-pre{x}]" -->

Modified: trunk/BOOK/packages.ent
===================================================================
--- trunk/BOOK/packages.ent	2012-02-25 16:21:02 UTC (rev 9756)
+++ trunk/BOOK/packages.ent	2012-02-29 22:22:52 UTC (rev 9757)
@@ -305,7 +305,7 @@
 <!ENTITY less-ch6-du "3.5 MB">
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20120219">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20120229">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">           <!-- Updated in Makefile -->




More information about the lfs-book mailing list